Search found 1949 matches

by Joel_graff
Mon Apr 29, 2019 2:12 pm
Forum: Open discussion
Topic: Civil engineering feature implementation (Transportation Engineering)
Replies: 1277
Views: 229476

Re: Civil engineering feature implementation (Transportation Engineering)

Its looks good Can you add a length parameter to your fuchtion and return the end point coordinates? The line was a debugging tool I forgot to delete. You shouldn't get a visual. It'll be fixed once I post this. If I understand your case correctly, you know the station on the alignment and you want...
by Joel_graff
Mon Apr 29, 2019 12:48 pm
Forum: Open discussion
Topic: Civil engineering feature implementation (Transportation Engineering)
Replies: 1277
Views: 229476

Re: Civil engineering feature implementation (Transportation Engineering)

I don't see any problems other than these Great work! I have implemented orthogonal vector calculations for arcs and tangents. Worked out easier than I expected. :) After importing an alignment: >>> obj = App.ActiveDocument.my_alignment.Proxy >>> vec = obj.model.get_orthogonal(<station>, <side>) Wh...
by Joel_graff
Mon Apr 29, 2019 9:39 am
Forum: Open discussion
Topic: Civil engineering feature implementation (Transportation Engineering)
Replies: 1277
Views: 229476

Re: Civil engineering feature implementation (Transportation Engineering)

Manisa.xml start station is wrong. Draft-start and end property show (0,0,0). I have done nothing about those values and, at the moment, I'm not sure they mean anything. They're default FC coordinate properties, not 'station' properties. Eventually I need to clean that up, I guess. Think maybe we s...
by Joel_graff
Sun Apr 28, 2019 7:24 pm
Forum: Open discussion
Topic: Civil engineering feature implementation (Transportation Engineering)
Replies: 1277
Views: 229476

Re: Civil engineering feature implementation (Transportation Engineering)

You have discretize_geometry function here : https://github.com/joelgraff/freecad.tr ... t_model.py İt's only returns curve points can you add line points to it? Yeah, It was commented out because there were other issues. I think I got all of that working, though. Pushed changes to dev branch. Give...
by Joel_graff
Sun Apr 28, 2019 5:09 pm
Forum: Open discussion
Topic: Civil engineering feature implementation (Transportation Engineering)
Replies: 1277
Views: 229476

Re: Civil engineering feature implementation (Transportation Engineering)

HakanSeven12 wrote: Sun Apr 28, 2019 4:38 pm I need to discretize alignment after that I will create wires like this :)
Sounds good. Just don't forget that any orthogonal you calculate from the wire won't be exact, of course. When I implement it, the orthogonal will be calculated from the actual curve (not the wire)...
by Joel_graff
Sun Apr 28, 2019 1:58 pm
Forum: Open discussion
Topic: Civil engineering feature implementation (Transportation Engineering)
Replies: 1277
Views: 229476

Re: Civil engineering feature implementation (Transportation Engineering)

I want to create perpendicular wire on imported alignment spesific stations. How can I do it? So to do this, you need to access the data model for the horizontal alignment. For example, you should be able to do this from the Pytohn console: >>> metric_station = <station expressed as a float> >>> x ...
by Joel_graff
Sun Apr 28, 2019 1:49 pm
Forum: Open discussion
Topic: Civil engineering feature implementation (Transportation Engineering)
Replies: 1277
Views: 229476

Re: Civil engineering feature implementation (Transportation Engineering)

HakanSeven12 wrote: Sun Apr 28, 2019 1:43 pm I have an Line-Curve-Line-Curve-Line in C3D, when I import it to fc, I have an Line-Curve-Line-Curve.
Can you show a screenshots and attach your XML file?
by Joel_graff
Sun Apr 28, 2019 1:25 pm
Forum: Open discussion
Topic: Civil engineering feature implementation (Transportation Engineering)
Replies: 1277
Views: 229476

Re: Civil engineering feature implementation (Transportation Engineering)

HakanSeven12 wrote: Sun Apr 28, 2019 1:14 pm For this 3 alignment they don't have last line object.
Not sure what you mean by that...
by Joel_graff
Sun Apr 28, 2019 11:42 am
Forum: Open discussion
Topic: Civil engineering feature implementation (Transportation Engineering)
Replies: 1277
Views: 229476

Re: Civil engineering feature implementation (Transportation Engineering)

HakanSeven12 wrote: Sun Apr 28, 2019 10:38 am I tried another alignment. Added to Attachment.
Fixed, pushed to dev.

Python 'falsy-ness' issue (station = 0.0 == station is None). Changed tests to explicitly test for None. All better. :)
by Joel_graff
Sun Apr 28, 2019 3:26 am
Forum: Python scripting and macros
Topic: How to change one property to a sub-property of another property ?
Replies: 1
Views: 289

Re: How to change one property to a sub-property of another property ?

All I want to do is bind these two properties. How can I do it? You could try testing for the parent property in the onChanged callback and setting the child properties there. However, that might prove to be unstable. The other option is to use an expression, though I've never done that outside of ...